Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228346 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: WindowMaker
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 19:44 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 21:14:08 UTC


Attachments (Terms of Use)
- install WPrefs data files in %_datadir, and WPrefs in %_bindir (deleted)
2007-02-14 10:36 UTC, Patrice Dumas
no flags Details | Diff

Description Michael Schwendt 2007-02-12 19:44:25 UTC
WindowMaker - 0.92.0-10.fc7.x86_64
  Conflicts: 4
  File conflict in:
     /etc/WindowMaker/WMState
  Packages with the same files:
     WindowMaker - 0.92.0-10.fc7.i386

Comment 1 Patrice Dumas 2007-02-14 10:36:08 UTC
Created attachment 148045 [details]
- install WPrefs data files in %_datadir, and WPrefs in %_bindir

Beside (hopefully) fixing the multilib issue, I believe these are saner 
install locations. I have built and installed, but not tested.

Comment 2 Michael Schwendt 2007-02-14 11:07:50 UTC
The real issue here is a key question:

Do we really need WindowMaker.i386 in the x86_64 repo just because
the dependency path of a WindowMaker -devel package leads to this
package? That means, is it possible to split off a package, on which
the -devel package can depend on without requiring the main package?

Further, files in /etc are no hard conflicts if they are marked
%config. They just lead to ugly and unnecessary .rpmsave creation.


Comment 3 Patrice Dumas 2007-02-14 11:45:27 UTC
I agree that it would be even better to split a -libs 
subpackage but the patch I propose should be applied anyway
to correct installation locations.

It seems like a -libs package existed in the past and that it 
was removed.

WindowMaker packaging could be ameliorated a lot, in fact.
I think that something like a re-review could help.

Comment 4 Andreas Bierfert 2007-02-14 21:56:33 UTC
Thanks for the patch. Seems better to me as well to put WPrefs stuff in the
'right' locations. The multi lib stuff is low priority so I will look at
splitting of a -libs package sometime next week when I will have more time for this.

Patrice if you dislike stuff about the wmaker package just drop me a mail and we
can discuss stuff.


Note You need to log in before you can comment on or make changes to this bug.